### Hierarchy

- XmlComponent
- XmlComponent
  - TableProperties

## Index

### Constructors

- constructor

### Accessors

- CellMargin
- IsDeleted

### Methods

- addChildElement
- delete
- prepForXml
- setBorder
- setFixedWidthLayout
- setTableFloatProperties
- setWidth

## Constructors

### constructor

- new TableProperties(rootKey: string): TableProperties

- Inherited from XmlComponent.constructor

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/xml-component.ts:7

  #### Parameters

  - ##### rootKey: string

  #### Returns TableProperties

## Accessors

### CellMargin

- get CellMargin(): TableCellMargin

- - Defined in file/table/table-properties/table-properties.ts:35

  #### Returns TableCellMargin

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  Overrides BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:14

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  Overrides XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### delete

- delete(): void

- Inherited from XmlComponent.delete

  Overrides XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject | undefined

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:14

  #### Returns IXmlableObject | undefined

### setBorder

- setBorder(): TableProperties

- - Defined in file/table/table-properties/table-properties.ts:30

  #### Returns TableProperties

### setFixedWidthLayout

- setFixedWidthLayout(): TableProperties

- - Defined in file/table/table-properties/table-properties.ts:25

  #### Returns TableProperties

### setTableFloatProperties

- setTableFloatProperties(tableFloatOptions: ITableFloatOptions): TableProperties

- - Defined in file/table/table-properties/table-properties.ts:39

  #### Parameters

  - ##### tableFloatOptions: ITableFloatOptions

  #### Returns TableProperties

### setWidth

- setWidth(width: number | string, type?: WidthType): TableProperties

- - Defined in file/table/table-properties/table-properties.ts:20

  #### Parameters

  - ##### width: number | string

  - ##### Default value type: WidthType = WidthType.AUTO

  #### Returns TableProperties

Generated using TypeDoc